Skip to main content
`Ctrl`+`K`

# DataOrigin

class astropy.io.votable.dataorigin.DataOrigin(vot_element=None)

  Bases: `object`

  Class parsing a VOTable and storing both information about query execution and basic provenances.

  Methods Summary

  `parse`() | Extract DataOrigin in a VO element
  `update_votable`() | Update the VOTable fragment with DataOrigin <INFO>

  Methods Documentation

  parse()

    Extract DataOrigin in a VO element

    Raises:
      `TypeError`

        input `vot_element` type is not supported

  update_votable()

    Update the VOTable fragment with DataOrigin <INFO>

    Returns:
      `astropy.io.votable.tree.Element`